Creates a new Report resource.
Notes:
- This resource does not support the creation of reports for packages with international screenings; use the
/invitationsAPI for these orders. However, International MVR-only packages are supported via the/reportsAPI. If required documentation is missing for the International MVR, Checkr will raise an exception to the candidate to provide it. - Employment Verifications, Education Verifications, and Credit Checks may not be initiated using the
/reportsAPI. Please use the/invitationsAPI to initiate the Checkr-Hosted Apply Flow when ordering background checks that include any of these screening types. - Identity Verification (IDV) may not be initiated using the
/reportsAPI. Please use the/invitationsAPI with an IDV-enabled package to order an Identity Verification. - Creating a Report which includes an Occupational Health or Drug Check will automatically issue an email invitation to the candidate to schedule their appointment at a clinic of their choice.
consent_document_idsis required. Upload each consent PDF with Upload a Candidate Document (typeconsent) and pass the returned document ids.
Array of SelfDisclosures
Note: Self Disclosures may not be added, updated, or deleted after a Report has been created. The information provided in a Self Disclosure will not be included in the completed Report, and may be retrieved using GET /v1/reports/{id}?include=documents. See the Documents resource for more information.
Removing the requirement for the description, date, and location parameters greatly reduces the value of Self Disclosures. If your system mandates that these parameters be optional, work with your Checkr Customer Success Manager to disable the requirement.
Required for hierarchy-enabled accounts.
Array of locations described using country, state, and city. When country is not specified defaults to US. State is required for US candidates. Country is required for non-US candidates.
IDs of consent documents previously created with Upload a Candidate Document.
Each id must reference a document with type consent that belongs to the candidate_id on this request and is a PDF.
A missing, empty, or invalid value returns 400. One invalid id rejects the request, and no report is created.
[ "b73f89e14b393979857806f9" ]
- Mock serverhttps://docs.checkr.com/_mock/apis/openapi/reports
- Staginghttps://api.checkr-staging.com/v1/reports
curl -i -X POST \
-u '<username>:<password>' \
https://docs.checkr.com/_mock/apis/openapi/reports \
-H 'Content-Type: application/json' \
-d '{
"candidate_id": "e44aa283528e6fde7d542194",
"package": "string",
"node": "string",
"self_disclosures": [
{
"description": "I made a mistake and grew from this experience.",
"offense_level": "Misdemeanor",
"offense_category": "Insurance Fraud",
"sentence": "24 months probation",
"time_served": "20 months probation",
"date": "2019-11-01",
"location": {
"county": "BOULDER",
"state": "CO",
"country": "US"
}
}
],
"work_locations": [
{
"country": "US",
"state": "CA",
"city": "San Francisco"
}
],
"tags": [
"string"
],
"consent_document_ids": [
"b73f89e14b393979857806f9"
]
}'Report was successfully created
Status of the report.
canceled if and only if all screenings, including SSN Trace, within the report were canceled. complete if at least one screening was completed. paused if the report is awaiting a Review Action decision to continue or skip.
Time at which the report was completed.
Number of seconds the report took to complete, calculated from created_at to completed_at.
The adjudication for the candidate. Null if no adjudication has been made.
The assessment for the report. This field will be non-null only for Assess-enabled accounts. For accounts with Assess enabled, it will be null for reports completed before Assess was enabled, and null for a short time after report completion while the account's Assess rules are applied.
The method used to create the report. api created from the Checkr API. continuous_check created automatically from a Continuous Check return. form created from the Checkr Hosted Invite/Apply flow. manual_order created from a manual order (customer enters candidate's PII) originating in the Checkr Dashboard. recurrence created from a Subscription. web created from Candidates > Order new Report in the Checkr Dashboard.
Tier and name of the node the report was ordered with and tier|name information for all its parent nodes.
[ [ "unit|Anvil Charlotte", "company|Acme Corporation", "division|Anvil Sales", "region|Anvil South East" ] ]
Date at which the report is predicted to be finished. Despite the date-time format, we only estimate to the date. The time is not relevant.
Array of Candidate Story IDs linked to the Report.
[ "989b4c2d83dd8a81547f2dae" ]
ID of the Arrest Search linked to the report.
ID of the Drug & Alcohol Clearinghouse Search linked to the Report.
ID of the Drug Screening linked to the report.
ID of the Federal Criminal Search linked to the Report.
ID of the Federal District Criminal Search linked to the Report.
ID of the Federal Civil Search linked to the Report.
ID of the Federal District Civil Search linked to the Report.
ID of the Global Watchlist Search linked to the Report.
ID of the Sex Offender Registry Search linked to the Report.
ID of the National Criminal Search linked to the Report.
Array of County Criminal Search IDs linked to the Report.
[ "539fdcf335644a0ef4000003" ]
ID of the Health Screening linked to the report.
Array of Personal Reference Verification IDs linked to the Report.
[ "539fdcf335644a0ef4000003" ]
Array of Professional Reference Verification IDs linked to the Report.
[ "539fdcf335644a0ef4000003" ]
ID of the Motor Vehicle Record Search linked to the Report.
Array of Professional License Verification IDs linked to the Report.
[ "5ee1b0c080c74df951ce6a59" ]
Array of State Criminal Search IDs linked to the Report.
[ "539fdcf335644a0ef4000003" ]
Array of International Criminal Search IDs linked to the Report. If no searches exist, this field is omitted.
[ "41007c751c9a15c892c0981a0400d1" ]
Array of International Adverse Media Search IDs linked to the Report. If no searches exists, this field is omitted.
[ "41007c751c9a15c892c0981a0400e2" ]
ID of an International Global Watchlist Search linked to the Report. If no search exists, this field is omitted.
ID of an International Education Verification linked to the Report. If no verification exists, this field is omitted.
ID of an International Employment Verification linked to the Report. If no verification exists, this field is omitted.
ID of an International Identity Document Validation linked to the Report. If no validation exists, this field is omitted.
ID of the identity data evaluation linked to the report. If no evaluation exists, this field is omitted.
ID of the Identity Verification linked to the Report. If no Identity Verification exists, this field is omitted. Returned by default; use ?include=identity_verification to embed the full Identity Verification object instead.
Embedded Identity Verification object. Only returned when ?include=identity_verification is passed; otherwise the Report returns identity_verification_id.
{ "id": "e44aa283528e6fde7d542194", "object": "report", "uri": "/v1/reports/4722c07dd9a10c3985ae432a", "status": "complete", "result": "clear", "includes_canceled": false, "created_at": "2014-01-18T12:34:00Z", "completed_at": "2014-01-18T12:35:30Z", "revised_at": null, "upgraded_at": null, "turnaround_time": 90, "package": "driver_pro", "adjudication": "engaged", "assessment": "eligible", "source": "api", "segment_stamps": [ [ … ] ], "work_locations": [ { … } ], "estimated_completion_time": "2019-07-31T00:00:00Z", "candidate_story_ids": [ "989b4c2d83dd8a81547f2dae" ], "candidate_id": "e44aa283528e6fde7d542194", "drug_screening": { "id": "539fd88c101897f7cd000001", "status": "clear", "result": "clear", "disposition": "negative", "mro_notes": "Diluted Sample", "analytes": [ … ], "events": [ … ], "screening_pass_expires_at": "2014-01-19T11:28:31Z", "appointment_id": "539fd88c101897f7cd000001" }, "ssn_trace_id": "539fd88c101897f7cd000001", "arrest_search_id": "539fd88c101897f7cd000001", "drug_alcohol_clearinghouse_id": "539fd88c101897f7cd000001", "drug_screening_id": "539fd88c101897f7cd000001", "facis_search_id": "539fd88c101897f7cd000001", "federal_criminal_search_id": "539fd88c101897f7cd000001", "federal_district_criminal_search_id": "539fd88c101897f7cd000001", "federal_civil_search_id": "539fd88c101897f7cd000001", "federal_district_civil_search_id": "539fd88c101897f7cd000001", "global_watchlist_search_id": "539fd88c101897f7cd000001", "social_media_screenings_id": "539fd88c101897f7cd000001", "sex_offender_search_id": "539fd88c101897f7cd000008", "national_criminal_search_id": "539fd88c101897f7cd000006", "county_criminal_search_ids": [ "539fdcf335644a0ef4000003" ], "occupational_health_screening_id": "539fdcf335644a0ef4000003", "personal_reference_verification_ids": [ "539fdcf335644a0ef4000003" ], "professional_reference_verification_ids": [ "539fdcf335644a0ef4000003" ], "motor_vehicle_report_id": "539fd88c101897f7cd000007", "professional_license_verification_ids": [ "5ee1b0c080c74df951ce6a59" ], "state_criminal_searches": [ "539fdcf335644a0ef4000003" ], "international_criminal_searches_v2_ids": [ "41007c751c9a15c892c0981a0400d1" ], "international_adverse_media_search_ids": [ "41007c751c9a15c892c0981a0400e2" ], "international_global_watchlist_search_id": "41007c751c9a15c892c0981a0400f3", "international_education_verification_id": "41007c751c9a15c892c0981a040004", "international_employment_verification_id": "41007c751c9a15c892c0981a040015", "international_identity_document_validation_id": "41007c751c9a15c892c0981a040026", "identity_data_evaluation_id": "9f82ebb23267477a606e0a9c", "identity_verification_id": "9f82ebb23267477a606e0a9c", "identity_verification": { "id": "e44aa283528e6fde7d542194", "object": "identity_verification", "uri": "/v1/identity_verifications/9f82ebb23267477a606e0a9c", "status": "complete", "result": "clear", "assessment": "eligible", "created_at": "2014-01-18T12:34:00Z", "completed_at": "2014-01-18T12:35:30Z", "turnaround_time": 0, "cancellation_reason": "complete_now_customer_requested", "cancellation_reason_description": "Customer requested Complete Now prior to screening completion", "evaluations": [ … ] }, "document_ids": [ "539fdcf335496a0ef4000003" ], "geo_ids": [ "87f5bb4983eade22c55f4731" ], "program_id": "00166f9ff39ec7b453adfaec", "archived": false }